begin
  FOR I IN 1..3 LOOP
    for c in (Select OBJECT_TYPE, OWNER, OBJECT_NAME 
                from dba_objects obj
                where obj.owner = UPPER('&1') and 
                      obj.object_type in ('PACKAGE','FUNCTION','PROCEDURE','PACKAGE BODY') and
                      obj.status <> 'VALID') loop
      If (c.OBJECT_TYPE like 'PACKAGE%') then 
        execute immediate 'ALTER PACKAGE ' || c.OWNER || '.' || c.OBJECT_NAME || ' COMPILE PACKAGE';
	execute immediate 'ALTER PACKAGE ' || c.OWNER || '.' || c.OBJECT_NAME || ' COMPILE BODY';
      else
        execute immediate 'ALTER ' || c.OBJECT_TYPE || ' ' || c.OWNER || '.' || c.OBJECT_NAME || ' COMPILE';
      end if;
    end loop;
  END LOOP;
end;
/

exit;