create or replace view vtfc_top_ven_bot_dia as
Select numany, mes, data, idebot_max_bennet, max_bennet_bot, bennet_total
  from (Select v.data, numany, mes,
               max(bennet_bot) over (partition by v.data) as max_bennet_bot,
               v.bot_idebot as idebot_max_bennet, bennet_bot,
               sum(bennet_bot) over (partition by v.data) as bennet_total
          from (Select tem.data, tem.ina_numany as numany, tem.mes,
                       ven.bot_idebot,
                       sum(ven.bennet) as bennet_bot
                  from TFC_VENDES ven,
                       TFC_TEMPS tem
                  where tem.data = ven.Tem_Data and
                  tem.hora = ven.tem_hora
                  group by tem.data, tem.ina_numany, tem.mes, ven.bot_idebot) v)
  where bennet_bot = bennet_total;
