create or replace view vtfc_top_ven_pro_dia as
Select numany, mes, data, codean13_max_qntven, max_qntven_pro
  from (Select v.data, numany, mes,
               max(qntven_pro) over (partition by v.data) as max_qntven_pro,
               v.pro_codean13 as codean13_max_qntven, qntven_pro
          from (Select tem.data, tem.ina_numany as numany, tem.mes,
                       ven.pro_codean13,
                       sum(ven.qntven) as QNTVEN_PRO
                  from TFC_VENDES ven,
                       TFC_TEMPS tem
                  where tem.data = ven.Tem_Data and
                  tem.hora = ven.tem_hora
          group by tem.data, tem.ina_numany, tem.mes, ven.pro_codean13) v)
  where max_qntven_pro = qntven_pro;
