create or replace view vtfc_ven_pro as
Select ven.NUMANY,
       ven.MES,
       ven.PRO_CODEAN13,
       Sum(ven.BENNET) as BENNET,
       Sum(ven.QNTVEN) as QNTVEN,
       max(ven.QNTVEN) as MAX_QNTVEN_BOT
  from (Select tem.INA_NUMANY AS NUMANY,
               tem.MES,
               ven.PRO_CODEAN13,
               ven.BOT_IDEBOT,
               Sum(ven.BENNET) as BENNET,
               Sum(ven.QNTVEN) as QNTVEN
          from TFC_VENDES   ven,
               TFC_TEMPS    tem
          where ven.TEM_DATA   = tem.DATA and
                ven.TEM_HORA   = tem.HORA
          group by tem.INA_NUMANY,
                   tem.MES,
                   ven.PRO_CODEAN13,
                   ven.BOT_IDEBOT) ven
  group by ven.NUMANY,
           ven.MES,
           ven.PRO_CODEAN13;
