SPOOL %1\scripts_disparadors.log 

ALTER SESSION SET CURRENT_SCHEMA = &2;

CREATE OR REPLACE TRIGGER DTFC_ACA_BR_I 
    BEFORE INSERT ON TFC_AGR_CIU_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_ACA_BR_U 
    BEFORE UPDATE ON TFC_AGR_CIU_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_ADMA_BR_I 
    BEFORE INSERT ON TFC_AGR_DIAMES_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_ADMA_BR_U 
    BEFORE UPDATE ON TFC_AGR_DIAMES_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_AGB_BR_I 
    BEFORE INSERT ON TFC_AGR_BOT_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_AGB_BR_U 
    BEFORE UPDATE ON TFC_AGR_BOT_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_AHA_BR_I 
    BEFORE INSERT ON TFC_AGR_HOR_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_AHA_BR_U 
    BEFORE UPDATE ON TFC_AGR_HOR_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_APA_BR_I 
    BEFORE INSERT ON TFC_AGR_PRO_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_APA_BR_U 
    BEFORE UPDATE ON TFC_AGR_PRO_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_BOT_BR_I 
    BEFORE INSERT ON TFC_BOTIGUES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_BOT_BR_U 
    BEFORE UPDATE ON TFC_BOTIGUES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_CIU_BR_I 
    BEFORE INSERT ON TFC_CIUTATS REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_CIU_BR_U 
    BEFORE UPDATE ON TFC_CIUTATS REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_INA_BR_I 
    BEFORE INSERT ON TFC_INDICADORS_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_INA_BR_U 
    BEFORE UPDATE ON TFC_INDICADORS_ANY REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_PAR_BR_I 
    BEFORE INSERT ON TFC_PARAMETRES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_PAR_BR_U 
    BEFORE UPDATE ON TFC_PARAMETRES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_PRO_BR_I 
    BEFORE INSERT ON TFC_PRODUCTES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
BEGIN
  :NEW.USUINS:=NVL(:NEW.USUINS, USER);
  :NEW.TMSINS:=NVL(:NEW.TMSINS, SYSDATE);
END; 
/



CREATE OR REPLACE TRIGGER DTFC_PRO_BR_U 
    BEFORE UPDATE ON TFC_PRODUCTES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_RAL_BR_U 
    BEFORE UPDATE ON TFC_RASTRE_LINIA REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_RAP_BR_I 
    BEFORE INSERT ON TFC_RASTRE_PROCES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_RAP_BR_U 
    BEFORE UPDATE ON TFC_RASTRE_PROCES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_REG_BR_I 
    BEFORE INSERT ON TFC_REGIONS REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_REG_BR_U 
    BEFORE UPDATE ON TFC_REGIONS REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_TEM_BR_I 
    BEFORE INSERT ON TFC_TEMPS REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_TEM_BR_U 
    BEFORE UPDATE ON TFC_TEMPS REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/




CREATE OR REPLACE TRIGGER DTFC_VEN_BR_I 
    BEFORE INSERT ON TFC_VENDES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTFC_VEN_BR_U 
    BEFORE UPDATE ON TFC_VENDES REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
begin
  :new.USUMOD := nvl(:new.USUMOD, USER);
  :new.TMSMOD := nvl(:new.TMSMOD, sysdate);
end; 
/



CREATE OR REPLACE TRIGGER DTRC_RAL_BR_I 
    BEFORE INSERT ON TFC_RASTRE_LINIA REFERENCING 
    NEW AS NEW 
    OLD AS OLD 
    FOR EACH ROW 
    ENABLE 
begin
  :new.USUINS := nvl(:new.USUINS, USER);
  :new.TMSINS := nvl(:new.TMSINS, sysdate);
end; 
/

spool off

EXIT;
