DEFINE PATH_SCRIPTS=&1
DEFINE USUARI_BD=&2 
SPOOL &PATH_SCRIPTS\scripts_vistes.log 

ALTER SESSION SET CURRENT_SCHEMA = &USUARI_BD;

Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('NOM_FIC_REG_DAD', 'regions.dat', 'Nom del fitxer de dades per les regions.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('NOM_FIC_CIU_DAD', 'ciutats.dat', 'Nom del fitxer de dades per les ciutats.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('NOM_FIC_PRO_DAD', 'productes.dat', 'Nom del fitxer de dades per els productes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('NOM_FIC_BOT_DAD', 'botigues.dat', 'Nom del fitxer de dades per les botigues.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('NOM_FIC_VEN_DAD', 'vendes.dat', 'Nom del fitxer de dades per les vendes');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_DADES', 'DADES', 'Directori de BD. Ruta on es guarden els fitxers de les taules externes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PDT_PROC_ALT', 'DIR_BD_PDT_PROC_ALT', 'Directori de BD. Fitxers pendents de processar per altes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PDT_PROC_MOD', 'DIR_BD_PDT_PROC_MOD', 'Directori de BD. Fitxers pendents de processar per modificacions.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PDT_PROC_BAI', 'DIR_BD_PDT_PROC_BAI', 'Directori de BD. Fitxers pendents de processar per baixes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PROC_OK_ALT', 'DIR_BD_PROC_OK_ALT', 'Directori de BD. Fitxers processats correctament per altes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PROC_OK_MOD', 'DIR_BD_PROC_OK_MOD', 'Directori de BD. Fitxers processats correctament per modificacions.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PROC_OK_BAI', 'DIR_BD_PROC_OK_BAI', 'Directori de BD. Fitxers processats correctament per baixes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PROC_ERR_ALT', 'DIR_BD_PROC_ERR_ALT', 'Directori de BD. Fitxers processats amb error per altes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PROC_ERR_MOD', 'DIR_BD_PROC_ERR_MOD', 'Directori de BD. Fitxers processats amb error per modificacions.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_BD_PROC_ERR_BAI', 'DIR_BD_PROC_ERR_BAI', 'Directori de BD. Fitxers processats amb error per baixes.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('TIPUS_CALCUL_INDICADORS', 'INC', 'Clcul incremental o total? INC/TOT.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('CALC_IND_PER_CADA_VENDA', 'S', 'Calcular indicadors per cada venda? S/N.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('ENV_MAIL_ACT', 'N', 'Enviament de mail activat? S/N.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_MAIL_ADMINISTRADOR', '', 'Adrea de mail de l'' administrador del sistema. S'' utilitzar com a destinatari de mails.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('DIR_MAIL_FROM', 'S', 'Adrea de mail a utilitzar per enviar els mails');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('SMTP_HOST', '', 'Servidor de correu.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('SMTP_PORT', '', 'Port del servidor de correu.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('SMTP_USERNAME', '', 'Usuari a fer servir en l'' autenticaci de mail.');
Insert into TFC_PARAMETRES(NOMPAR, VALPAR, DESPAR) values ('SMTP_PASSWORD', '', 'Contrasenya a fer servir en l'' autenticaci de mail.');

Commit;

spool off

Exit;